Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.infinispan
Class InfinispanConnectorI18n

    java.lang.Object
      org.modeshape.connector.infinispan.InfinispanConnectorI18n

    public final class InfinispanConnectorI18n

extends Object

The internationalized string constants for the `org.modeshape.connector.infinispan*` packages.

Field Summary
`static I18n` | `cacheConfigurationNamePropertyCategory`
`static I18n` | `cacheConfigurationNamePropertyDescription`
`static I18n` | `cacheConfigurationNamePropertyLabel`
`static I18n` | `cacheContainerJndiNamePropertyCategory`
`static I18n` | `cacheContainerJndiNamePropertyDescription`
`static I18n` | `cacheContainerJndiNamePropertyLabel`
`static I18n` | `configFileNotFound`
`static I18n` | `configFileNotValid`
`static I18n` | `connectorName`
`static I18n` | `defaultWorkspaceNamePropertyCategory`
`static I18n` | `defaultWorkspaceNamePropertyDescription`
`static I18n` | `defaultWorkspaceNamePropertyLabel`
`static I18n` | `errorSerializingCachePolicyInSource`
`static I18n` | `namePropertyCategory`
`static I18n` | `namePropertyDescription`
`static I18n` | `namePropertyLabel`
`static I18n` | `objectFoundInJndiWasNotCacheContainer`
`static I18n` | `predefinedWorkspaceNamesPropertyCategory`
`static I18n` | `predefinedWorkspaceNamesPropertyDescription`
`static I18n` | `predefinedWorkspaceNamesPropertyLabel`
`static I18n` | `propertyIsRequired`
`static I18n` | `remoteInfinispanServerListPropertyCategory`
`static I18n` | `remoteInfinispanServerListPropertyDescription`
`static I18n` | `remoteInfinispanServerListPropertyLabel`
`static I18n` | `retryLimitPropertyCategory`
`static I18n` | `retryLimitPropertyDescription`
`static I18n` | `retryLimitPropertyLabel`
`static I18n` | `rootNodeUuidPropertyCategory`
`static I18n` | `rootNodeUuidPropertyDescription`
`static I18n` | `rootNodeUuidPropertyLabel`
`static I18n` | `unableToCreateWorkspace`
`static I18n` | `updatesAllowedPropertyCategory`
`static I18n` | `updatesAllowedPropertyDescription`
`static I18n` | `updatesAllowedPropertyLabel`

Constructor Summary
`InfinispanConnectorI18n()`

Method Summary
`static Set<Locale>` | `getLocalizationProblemLocales()`
`static Set<String>` | `getLocalizationProblems()`
`static Set<String>` | `getLocalizationProblems(Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connectorName

    public static I18n connectorName

### propertyIsRequired

    public static I18n propertyIsRequired

### errorSerializingCachePolicyInSource

    public static I18n errorSerializingCachePolicyInSource

### objectFoundInJndiWasNotCacheContainer

    public static I18n objectFoundInJndiWasNotCacheContainer

### unableToCreateWorkspace

    public static I18n unableToCreateWorkspace

### configFileNotFound

    public static I18n configFileNotFound

### configFileNotValid

    public static I18n configFileNotValid

### namePropertyDescription

    public static I18n namePropertyDescription

### namePropertyLabel

    public static I18n namePropertyLabel

### namePropertyCategory

    public static I18n namePropertyCategory

### cacheContainerJndiNamePropertyDescription

    public static I18n cacheContainerJndiNamePropertyDescription

### cacheContainerJndiNamePropertyLabel

    public static I18n cacheContainerJndiNamePropertyLabel

### cacheContainerJndiNamePropertyCategory

    public static I18n cacheContainerJndiNamePropertyCategory

### cacheConfigurationNamePropertyDescription

    public static I18n cacheConfigurationNamePropertyDescription

### cacheConfigurationNamePropertyLabel

    public static I18n cacheConfigurationNamePropertyLabel

### cacheConfigurationNamePropertyCategory

    public static I18n cacheConfigurationNamePropertyCategory

### defaultWorkspaceNamePropertyDescription

    public static I18n defaultWorkspaceNamePropertyDescription

### defaultWorkspaceNamePropertyLabel

    public static I18n defaultWorkspaceNamePropertyLabel

### defaultWorkspaceNamePropertyCategory

    public static I18n defaultWorkspaceNamePropertyCategory

### rootNodeUuidPropertyDescription

    public static I18n rootNodeUuidPropertyDescription

### rootNodeUuidPropertyLabel

    public static I18n rootNodeUuidPropertyLabel

### rootNodeUuidPropertyCategory

    public static I18n rootNodeUuidPropertyCategory

### predefinedWorkspaceNamesPropertyDescription

    public static I18n predefinedWorkspaceNamesPropertyDescription

### predefinedWorkspaceNamesPropertyLabel

    public static I18n predefinedWorkspaceNamesPropertyLabel

### predefinedWorkspaceNamesPropertyCategory

    public static I18n predefinedWorkspaceNamesPropertyCategory

### retryLimitPropertyDescription

    public static I18n retryLimitPropertyDescription

### retryLimitPropertyLabel

    public static I18n retryLimitPropertyLabel

### retryLimitPropertyCategory

    public static I18n retryLimitPropertyCategory

### updatesAllowedPropertyDescription

    public static I18n updatesAllowedPropertyDescription

### updatesAllowedPropertyLabel

    public static I18n updatesAllowedPropertyLabel

### updatesAllowedPropertyCategory

    public static I18n updatesAllowedPropertyCategory

### remoteInfinispanServerListPropertyDescription

    public static I18n remoteInfinispanServerListPropertyDescription

### remoteInfinispanServerListPropertyLabel

    public static I18n remoteInfinispanServerListPropertyLabel

### remoteInfinispanServerListPropertyCategory

    public static I18n remoteInfinispanServerListPropertyCategory

Constructor Detail

### InfinispanConnectorI18n

    public InfinispanConnectorI18n()

Method Detail

### getLocalizationProblemLocales

    public static Set<Locale> getLocalizationProblemLocales()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.